Grasshopper

algorithmic modeling for Rhino

Hello everyone,

I'm trying this in the VB component:

Dim curves_list As New List(Of Curve), points_list As New List(Of Point3D)

Dim brep_temp As Brep() = rhino.Geometry.Intersect.Intersection.BrepSurface(test_brep, test_surface, 0.1, curves_list, points_list)

and I get back:

1. Error (BC30311): Value of type 'System.Collections.Generic.List(Of Rhino.Geometry.Curve)' cannot be converted to '1-dimensional array of Rhino.Geometry.Curve'. (line 97)

2. Error (BC30311): Value of type 'System.Collections.Generic.List(Of Rhino.Geometry.Point3d)' cannot be converted to '1-dimensional array of Rhino.Geometry.Point3d'. (line 97)

Could anyone tell me what I'm doing wrong?

Thanks!

Views: 467

Replies to This Discussion

curves_list and points_list need to be arrays. Not Lists.

Dim curves As Curve() = Nothing

Dim points As Point3d() = Nothing

Dim breps As Brep() = Intersect.Intersection.BrepSurface(test_brep, test_surface, 0.1, curves, points)

--

David Rutten

david@mcneel.com

Poprad, Slovakia

Ah that explains a lot :-)

Thanks!

RSS

About

Translate

Search

Photos

  • Add Photos
  • View All

Videos

  • Add Videos
  • View All

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service